summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:31:51 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:31:51 +0200
commit0c36e9446b778f117d1bee470c67c5976249da4e (patch)
treeeea999f31e32224b171c6e15e09d7001212de8dc /multimedia
parent1ff69682af9057f18f7d2dd6226c277ef45e74d9 (diff)
downloadslackbuilds-0c36e9446b778f117d1bee470c67c5976249da4e.tar.gz
slackbuilds-0c36e9446b778f117d1bee470c67c5976249da4e.tar.xz
multimedia/remoot: Added to 12.2 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/remoot/README5
-rw-r--r--multimedia/remoot/remoot.SlackBuild49
-rw-r--r--multimedia/remoot/remoot.info8
-rw-r--r--multimedia/remoot/slack-desc19
4 files changed, 81 insertions, 0 deletions
diff --git a/multimedia/remoot/README b/multimedia/remoot/README
new file mode 100644
index 0000000000..7c3d9712df
--- /dev/null
+++ b/multimedia/remoot/README
@@ -0,0 +1,5 @@
+ReMoot is user friendly command wrapper for many multimedia applications
+-- it provides a simple interface to control all supported apps in a
+simple and consistent way.
+
+The program is licensed under the Perl Artistic License 2.0.
diff --git a/multimedia/remoot/remoot.SlackBuild b/multimedia/remoot/remoot.SlackBuild
new file mode 100644
index 0000000000..435e0f740e
--- /dev/null
+++ b/multimedia/remoot/remoot.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for remoot
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=remoot
+VERSION=${VERSION:-0.9}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Copying scripts to the correct location
+mkdir -p $PKG/usr/bin
+cp -a daemoot remoot* $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/multimedia/remoot/remoot.info b/multimedia/remoot/remoot.info
new file mode 100644
index 0000000000..fa6f8a508d
--- /dev/null
+++ b/multimedia/remoot/remoot.info
@@ -0,0 +1,8 @@
+PRGNAM="remoot"
+VERSION="0.9"
+HOMEPAGE="http://remoot.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/remoot/remoot-0.9.tar.bz2"
+MD5SUM="da13185c12d5fd6d49a3b69e1a3b873e"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"
diff --git a/multimedia/remoot/slack-desc b/multimedia/remoot/slack-desc
new file mode 100644
index 0000000000..9b86c4b900
--- /dev/null
+++ b/multimedia/remoot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+remoot: ReMoot (remote control for multimedia applications)
+remoot:
+remoot: ReMoot is user friendly command wrapper for many multimedia
+remoot: applications -- it provides a simple interface to control all
+remoot: supported apps in a simple and consistent way.
+remoot:
+remoot: The program is licensed under the Perl Artistic License 2.0.
+remoot:
+remoot:
+remoot:
+remoot: